\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\draw [color=Gris3,, xstep=1cm,ystep=1cm] (-6,-3) grid (3,4);
\clip(-6,-3) rectangle (3,4);
\draw [line width=1.5pt,color=A1] (-3,3)-- (-1,1);
\draw [line width=1.5pt,color=A1] (-1,1)-- (-3,-1);
\draw [line width=1.5pt,color=A1] (-3,-1)-- (-5,1);
\draw [line width=1.5pt,color=A1] (-5,1)-- (-3,3);
\draw [->,line width=1.5pt] (-2,-2) -- (2,-2);
\begin{Large}
\draw (0,-1.5) node[anchor=center] {$\overrightarrow{u}$};
\draw [color=black] (-3,1)-- ++(-2.5pt,-2.5pt) -- ++(5pt,5pt) ++(-5pt,0) -- ++(5pt,-5pt);
\draw[color=black] (-2.83,1.42) node {$O$};
\end{Large}
\end{tikzpicture}
\end{document}